---
updatedAt: 2026-07-27T10:30:22.000Z
agentTools:
  projectIndex: https://docs.cermatiprotect.com/llms.txt
---

# Create Application

This endpoint creates an insurance application.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "title": "Cermati Protect Generic Insurance API",
    "version": "1.0.2",
    "description": "This is the documentation of Cermati Protect Generic Insurance API",
    "termsOfService": "https://www.cermatiprotect.com/pages/terms-and-conditions",
    "contact": {
      "email": "dev.cermati@cermati.com"
    },
    "x-logo": {
      "url": "https://static.cermatiprotect.com/static/dist/images/logo/cermati-protect-white.png"
    }
  },
  "tags": [
    {
      "name": "API Specification",
      "description": "The specification of Cermati Protect Generic Insurance API"
    }
  ],
  "servers": [
    {
      "url": "https://api-staging.cermatiprotect.com/insurance/v1"
    },
    {
      "url": "https://api.cermatiprotect.com/insurance/v1"
    }
  ],
  "paths": {
    "/generic": {
      "post": {
        "summary": "Create Application",
        "description": "This endpoint creates an insurance application.",
        "tags": [
          "API Specification"
        ],
        "requestBody": {
          "$ref": "#/components/requestBodies/CreateApplication"
        },
        "responses": {
          "200": {
            "$ref": "#/components/responses/ApplicationOperation"
          },
          "409": {
            "$ref": "#/components/responses/CreateApplicationConflictError"
          },
          "422": {
            "$ref": "#/components/responses/CalculatePremiumCreateApplicationValidationError"
          },
          "500": {
            "$ref": "#/components/responses/InternalServerError"
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "responses": {
      "ApplicationOperation": {
        "description": "",
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {
                "refNo": {
                  "type": "string",
                  "maxLength": 140,
                  "description": "Unique identifier from the partner, this must be unique per application."
                },
                "trxId": {
                  "type": "string",
                  "maxLength": 100,
                  "description": "The application transaction ID generated by Cermati system."
                },
                "status": {
                  "$ref": "#/components/schemas/Status"
                },
                "documents": {
                  "type": "array",
                  "description": "List of the uploaded application documents",
                  "items": {
                    "type": "object",
                    "properties": {
                      "filename": {
                        "type": "string",
                        "description": "The name of the file"
                      },
                      "filetype": {
                        "type": "string",
                        "description": "The type of the file"
                      },
                      "type": {
                        "type": "string",
                        "description": "Type of the application document that is represented by this file"
                      }
                    }
                  }
                },
                "documentLinks": {
                  "type": "array",
                  "items": {
                    "$ref": "#/components/schemas/DocumentLink"
                  },
                  "description": "Download URL for uploaded application documents. The link will be available when the application is ISSUED status. This link will be generated and available for 24 hours from the last enquiry request. If the link expires, a partner is required to generate a new link to the document via enquire request."
                },
                "createdAt": {
                  "type": "string",
                  "format": "date-time",
                  "description": "Timestamp of the created application."
                },
                "updatedAt": {
                  "type": "string",
                  "format": "date-time",
                  "description": "Timestamp of the updated application."
                },
                "expiredAt": {
                  "type": "string",
                  "format": "date-time",
                  "description": "Expiration time of the created application."
                },
                "cancelledAt": {
                  "type": "string",
                  "format": "date-time",
                  "description": "Timestamp of the cancelled application."
                }
              },
              "required": [
                "refNo",
                "trxId",
                "status",
                "createdAt"
              ]
            },
            "examples": {
              "Success": {
                "$ref": "#/components/examples/ApplicationOperationResponse"
              }
            }
          }
        }
      },
      "CreateApplicationConflictError": {
        "description": "The error if the refNo already exists in our database",
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {
                "error": {
                  "type": "string"
                },
                "trxId": {
                  "type": "string"
                }
              },
              "required": [
                "error"
              ]
            },
            "examples": {
              "refNo Already Exists Error": {
                "$ref": "#/components/examples/RefNoExistsResponse"
              },
              "refNo is Locked Error": {
                "$ref": "#/components/examples/RefNoLockedResponse"
              }
            }
          }
        }
      },
      "CalculatePremiumCreateApplicationValidationError": {
        "description": "If the request body doesn't comply to our validation rules, the error will show the problematic fields",
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {
                "error": {
                  "anyOf": [
                    {
                      "type": "object",
                      "description": "The problem keyed by the property's name"
                    },
                    {
                      "type": "string"
                    }
                  ]
                }
              },
              "required": [
                "error"
              ]
            },
            "examples": {
              "Request Body Validation Error": {
                "$ref": "#/components/examples/ReqBodyValidationErrorResponse"
              },
              "Product Id Is Not Valid Error": {
                "$ref": "#/components/examples/ProductIdNotValidResponse"
              }
            }
          }
        }
      },
      "InternalServerError": {
        "description": "The error if there is any error in our server",
        "content": {
          "application/json": {
            "schema": {
              "description": "",
              "type": "object",
              "properties": {
                "error": {
                  "type": "string"
                }
              },
              "required": [
                "error"
              ]
            },
            "examples": {
              "Internal Server Error": {
                "$ref": "#/components/examples/InternalServerErrorResponse"
              }
            }
          }
        }
      }
    },
    "requestBodies": {
      "CreateApplication": {
        "description": "The request that will be used to create application",
        "content": {
          "application/json": {
            "schema": {
              "type": "object",
              "properties": {
                "productId": {
                  "type": "string",
                  "maxLength": 100,
                  "description": "Partnership Product Id given to partner.",
                  "example": "insurance-1"
                },
                "refNo": {
                  "type": "string",
                  "maxLength": 140,
                  "description": "Unique identifier from the partner, this must be unique per application.",
                  "example": "IN2331211"
                },
                "premium": {
                  "type": "number",
                  "description": "Amount of total insurance premium paid in IDR.",
                  "example": 15000
                },
                "adminFee": {
                  "type": "number",
                  "description": "Amount of admin fee paid in IDR.",
                  "example": 1200
                },
                "orderId": {
                  "type": "string",
                  "maxLength": 100,
                  "description": "Order ID/Transaction ID/Loan Contract ID on partner’s side.",
                  "example": "K14LB781608982"
                },
                "purchasedAt": {
                  "type": "string",
                  "format": "date-time",
                  "maxLength": 30,
                  "description": "Timestamp indicating when the order purchased (ISO 8601 format with timezone).",
                  "example": "2021-05-05T04:33:35.233+00:00"
                },
                "coverageStart": {
                  "type": "string",
                  "format": "date-time",
                  "maxLength": 30,
                  "description": "Date time indicating insurance coverage started (ISO 8601 format with timezone). Validation configured in product level.\n**Required for** Personal Insurance products.\n",
                  "example": "2021-05-05T04:33:35.233+00:00"
                },
                "coverageEnd": {
                  "type": "string",
                  "format": "date-time",
                  "maxLength": 30,
                  "description": "Date time indicating insurance coverage ended (ISO 8601 format with timezone). Validation configured in product level.",
                  "example": "2021-05-08T04:33:35.233+00:00"
                },
                "totalPrice": {
                  "type": "number",
                  "description": "Total price after discount for all transactions, including add-ons and tax, excluding premium in IDR. Amount >= 0.\n**Required for** Accommodation Insurance and Transportation Insurance products.\n",
                  "example": 5499000
                },
                "totalDiscount": {
                  "type": "number",
                  "description": "Total discount in IDR, amount >= 0.\n**Required for** Accommodation Insurance and Transportation Insurance products.\n",
                  "example": 0
                },
                "items": {
                  "type": "array",
                  "description": "The items that are included in this transaction.\n**Required for** Goods Insurance and Shipping Insurance products.\n",
                  "items": {
                    "$ref": "#/components/schemas/Item"
                  }
                },
                "shipment": {
                  "$ref": "#/components/schemas/Shipment"
                },
                "loan": {
                  "$ref": "#/components/schemas/Loan"
                },
                "transportationTrip": {
                  "$ref": "#/components/schemas/TransportationTrip"
                },
                "property": {
                  "$ref": "#/components/schemas/Property"
                },
                "rents": {
                  "type": "array",
                  "description": "The details of the tenancies/rents in the transaction. It can be accommodation room details, property tenancy details, or other tenancy details.\n**Required for** Accommodation Insurance products.\n*Request for Accommodation Insurance products must have 1-10 rents.*\n*Request for Property Insurance products can have 0-1 rent.*\n",
                  "items": {
                    "$ref": "#/components/schemas/Rent"
                  }
                },
                "parties": {
                  "type": "array",
                  "description": "The details of the parties/people that are involved in this transaction.\n*Request for Accommodation Insurance products must have 1 party with type CONTACT.*\n*Request for Credit Insurance products must have 1 party with type CREDITOR and 1 party with type DEBTOR.*\n*Request for Goods Insurance products must have 1 party with type CUSTOMER and 1 party with type SELLER.*\n*Request for Personal Insurance products must have 1 party with type INSURED.*\n*Request for Property Insurance products must have 1 party with type OWNER and 0-1 party with type RENTER.*\n*Request for Shipping Insurance products must have 1 party with type ORIGIN and 1 party with type DESTINATION.*\n*Request for Transportation Insurance products must have 1 party with type CONTACT and 1-20 parties with type PASSENGER.*\n",
                  "items": {
                    "$ref": "#/components/schemas/Party"
                  }
                },
                "overrideNotificationUrl": {
                  "$ref": "#/components/schemas/OverrideNotificationUrl"
                },
                "additionalParameters": {
                  "type": "object",
                  "additionalProperties": true,
                  "description": "Extra parameters applicable to the product. The expected fields depend on the product ID."
                }
              },
              "required": [
                "productId",
                "refNo",
                "parties"
              ]
            },
            "examples": {
              "Create Accommodation Insurance Application": {
                "$ref": "#/components/examples/CreateAccommodationInsuranceApplicationRequest"
              },
              "Create Credit Insurance Application": {
                "$ref": "#/components/examples/CreateCreditInsuranceApplicationRequest"
              },
              "Create Goods Insurance Application": {
                "$ref": "#/components/examples/CreateGoodsInsuranceApplicationRequest"
              },
              "Create Personal Insurance Application": {
                "$ref": "#/components/examples/CreatePersonalInsuranceApplicationRequest"
              },
              "Create Property Insurance Application": {
                "$ref": "#/components/examples/CreatePropertyInsuranceApplicationRequest"
              },
              "Create Shipping Insurance Application": {
                "$ref": "#/components/examples/CreateShippingInsuranceApplicationRequest"
              },
              "Create Transportation Insurance Application": {
                "$ref": "#/components/examples/CreateTransportationInsuranceApplicationRequest"
              }
            }
          }
        }
      }
    },
    "schemas": {
      "Status": {
        "type": "string",
        "maxLength": 20,
        "description": "Status of the application, refer to Insurance Application Status section.",
        "enum": [
          "ACTIVATED",
          "CANCELLED",
          "DATA_COMPLETE",
          "DATA_INCOMPLETE",
          "EXPIRED",
          "INVALID",
          "ISSUED",
          "REJECTED"
        ]
      },
      "Item": {
        "type": "object",
        "description": "The details of item that will be insured.",
        "properties": {
          "skuId": {
            "maxLength": 100,
            "type": "string",
            "description": "SKU of the item. This needs to be specified when updating identities.",
            "example": "Pho/Sam/A72/256-8"
          },
          "name": {
            "maxLength": 140,
            "type": "string",
            "description": "Name of the item.",
            "example": "Samsung A72 256/8"
          },
          "brand": {
            "maxLength": 140,
            "type": "string",
            "description": "Brand of the item.",
            "example": "Samsung"
          },
          "category": {
            "maxLength": 200,
            "type": "string",
            "description": "Category of the item.",
            "example": "Smartphone"
          },
          "pricePerUnit": {
            "type": "number",
            "description": "Base price of single item in IDR. Must be >= 0.",
            "example": 6499000
          },
          "discountPerUnit": {
            "type": "number",
            "description": "Applied discount for single item in IDR. Must be >= 0.",
            "example": 100000
          },
          "feePerUnit": {
            "type": "number",
            "description": "Applied fee for single item in IDR. Must be >= 0.",
            "example": 1000
          },
          "weight": {
            "type": "number",
            "description": "Weight in kg. Must be >= 0.",
            "example": 1
          },
          "quantity": {
            "type": "number",
            "description": "Quantity of the item. Must be > 0.",
            "example": 1
          },
          "description": {
            "maxLength": 500,
            "type": "string",
            "description": "Item description and specification.",
            "example": "Samsung A72 256/8 Super AMOLED, 90Hz, 800 nits (HBM)"
          },
          "validAt": {
            "maxLength": 30,
            "type": "string",
            "format": "date-time",
            "description": "Timestamp of item validity (ISO 8601).",
            "example": "2021-05-05T07:33:35.233+00:00"
          },
          "invalidAt": {
            "maxLength": 30,
            "type": "string",
            "format": "date-time",
            "description": "Timestamp of item invalidity (ISO 8601).",
            "example": "2021-05-05T07:33:35.233+00:00"
          },
          "activationRequired": {
            "type": "boolean",
            "description": "This field indicates that the specified items require the customer to do activation using identities field. If activationRequired is TRUE then identities field need to be updated for claim.\n**Required for** Goods Insurance products\n",
            "example": false
          },
          "identities": {
            "type": "array",
            "description": "Identities of each item e.g. IMEI, S/N, or unique item identifier from partner. Some insurance requires this to be updated after the application is submitted.",
            "items": {
              "$ref": "#/components/schemas/ItemIdentity"
            }
          }
        },
        "required": [
          "skuId",
          "name",
          "category",
          "pricePerUnit",
          "discountPerUnit",
          "feePerUnit",
          "weight",
          "quantity"
        ]
      },
      "ItemIdentity": {
        "type": "object",
        "properties": {
          "type": {
            "type": "string",
            "maxLength": 30,
            "description": "Identity type of the good. Available option: IMEI/Serial Number/Other (please specify).",
            "example": "IMEI"
          },
          "number": {
            "type": "string",
            "maxLength": 50,
            "description": "Identities of each item e.g. IMEI, S/N, or unique item identifier from partner. Some insurance requires this to be updated after the application is submitted. Requires at least 1 element of object type Identity.",
            "example": "507406906851065"
          }
        },
        "required": [
          "idType",
          "idNumber"
        ]
      },
      "Shipment": {
        "type": "object",
        "description": "The shipment in the transaction.\n**Required for** Goods Insurance and Shipping Insurance products.\n",
        "properties": {
          "shippingId": {
            "maxLength": 140,
            "type": "string",
            "description": "Delivery ID or Airway Bill Number (AWB).\n**Required for** Shipping Insurance products\n",
            "example": "CGK012455485646"
          },
          "courierName": {
            "maxLength": 140,
            "type": "string",
            "description": "Name of the logistic provider e.g. Self, JNT, Sicepat, etc.\n**Required for** Shipping Insurance products\n",
            "example": "Courier"
          },
          "serviceType": {
            "maxLength": 140,
            "type": "string",
            "description": "Delivery service type e.g. standard, express, same day.\n**Required for** Shipping Insurance products\n",
            "example": "Express"
          },
          "shippingFee": {
            "type": "number",
            "description": "Total delivery fee in IDR. Value >= 0.\n**Required for** Shipping Insurance products\n",
            "example": 9000
          },
          "otherFee": {
            "type": "number",
            "description": "Total other fees for shipping level in IDR e.g. processing fee, tax, etc. Value >= 0.\n**Required for** Shipping Insurance products\n",
            "example": 1000
          },
          "shippedAt": {
            "maxLength": 30,
            "type": "string",
            "format": "date-time",
            "description": "Timestamp shipping occurred (ISO 8601 format with timezone). Some integration case this field needs to be included in data complete validation e.g. re-shipping.",
            "example": "2021-05-06T04:33:35.233+00:00"
          },
          "deliveredAt": {
            "maxLength": 30,
            "type": "string",
            "format": "date-time",
            "description": "Timestamp delivered to destination (ISO 8601). Required for re-shipping insurance to be updated later if empty to enable activation. Some integration case this field needs to be included in data complete validation e.g. re-shipping.",
            "example": "2021-05-05T07:33:35.233+00:00"
          }
        }
      },
      "Loan": {
        "type": "object",
        "description": "The details of loan.\n**Required for** Credit Insurance products.\n",
        "properties": {
          "loanDate": {
            "maxLength": 10,
            "type": "string",
            "format": "date",
            "description": "The loan application date. Format: ”YYYY-MM-DD”.\n**Required for** Credit Insurance products.\n",
            "example": "2021-05-01"
          },
          "dueDate": {
            "maxLength": 10,
            "type": "string",
            "format": "date",
            "description": "Due date from given loan. Format: ”YYYY-MM-DD”.\n**Required for** Credit Insurance products.\n",
            "example": "2021-11-01"
          },
          "tenure": {
            "type": "integer",
            "format": "int64",
            "description": "Tenure based on tenureUnit. Example: if value is 6 and tenureUnit is “MONTHLY” then the loan tenure is 6 months.\n**Required for** Credit Insurance products.\n",
            "example": 6
          },
          "tenureUnit": {
            "type": "string",
            "enum": [
              "DAILY",
              "MONTHLY",
              "YEARLY"
            ],
            "description": "Unit for tenure.",
            "example": "MONTHLY"
          },
          "loanAmount": {
            "type": "number",
            "description": "Loan amount in IDR. Amount must be >= 0.\n**Required for** Credit Insurance products.\n",
            "example": 5000000
          }
        }
      },
      "TransportationTrip": {
        "type": "object",
        "description": "The details of transportation trip in this transaction.\n**Required for** Transportation Insurance products.\n",
        "properties": {
          "tripType": {
            "type": "string",
            "maxLength": 20,
            "description": "Type of the trip: \n  - One-way, \n  - Round-trip, \n  - Multiple stops, \n  - Smart trip\n  - Other, please specify\n**Required for** Transportation Insurance products.\n",
            "example": "One-way"
          },
          "origin": {
            "$ref": "#/components/schemas/Location"
          },
          "destination": {
            "$ref": "#/components/schemas/Location"
          },
          "trips": {
            "type": "array",
            "description": "List of trips included under the same order ID. Max 10 trips.\n**Required for** Transportation Insurance products.\n",
            "minItems": 1,
            "maxItems": 10,
            "items": {
              "$ref": "#/components/schemas/Trip"
            }
          }
        }
      },
      "Trip": {
        "type": "object",
        "description": "The trip details.",
        "properties": {
          "tripId": {
            "type": "string",
            "maxLength": 200,
            "description": "Unique identifier associated with the trip. Accepts alphanumeric without special characters.",
            "example": "T41948"
          },
          "tripType": {
            "type": "string",
            "enum": [
              "BUS",
              "FLIGHT",
              "SHIP",
              "TRAIN"
            ],
            "description": "Type of trip.",
            "example": "FLIGHT"
          },
          "tripLegs": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/TripLeg"
            }
          },
          "ticketPrice": {
            "$ref": "#/components/schemas/PriceCategory"
          },
          "ticketRefundableAmount": {
            "$ref": "#/components/schemas/PriceCategory"
          },
          "addOns": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/AddOn"
            }
          }
        },
        "required": [
          "tripId",
          "tripType",
          "tripLegs",
          "ticketPrice",
          "ticketRefundableAmount"
        ]
      },
      "TripLeg": {
        "type": "object",
        "description": "A leg taken for within a trip.",
        "properties": {
          "tripNo": {
            "type": "string",
            "maxLength": 100,
            "description": "Trip Number can be mapped into Flight Number, Train Number.",
            "example": "GA404"
          },
          "tripName": {
            "type": "string",
            "maxLength": 140,
            "description": "Trip name associated with bus name, train name or airline name e.g. Taksaka Luxury, Argo Parahyangan, Citilink, Garuda Indonesia.",
            "example": "Garuda Indonesia GA 404"
          },
          "class": {
            "type": "string",
            "maxLength": 50,
            "description": "Cabin class e.g. Economy, Business, Executive, First class.",
            "example": "Economy"
          },
          "subclass": {
            "type": "string",
            "maxLength": 50,
            "description": "Cabin subclass e.g. if the class is \"Economy (CA)\", fill this field with CA.",
            "example": "M"
          },
          "origin": {
            "$ref": "#/components/schemas/Location"
          },
          "destination": {
            "$ref": "#/components/schemas/Location"
          },
          "departureTime": {
            "type": "string",
            "format": "date-time",
            "description": "Scheduled trip departure time (ISO 8601 format with timezone).",
            "example": "2021-05-09T02:25:04.962+00:00"
          },
          "arrivalTime": {
            "type": "string",
            "format": "date-time",
            "description": "Scheduled trip arrival time (ISO 8601 format with timezone). The value must be after or equal to the departureTime value.",
            "example": "2021-05-09T05:20:04.962+00:00"
          }
        },
        "required": [
          "tripNo",
          "tripName",
          "class",
          "origin",
          "destination",
          "departureTime",
          "arrivalTime"
        ]
      },
      "PriceCategory": {
        "type": "object",
        "description": "Ticket price for this passenger after tax, excluding add-on for each category.",
        "properties": {
          "adult": {
            "type": "integer",
            "format": "int64",
            "description": "Adult price amount in IDR, amount >= 0.",
            "example": 1709100
          },
          "child": {
            "type": "integer",
            "format": "int64",
            "description": "Child price amount in IDR, amount >= 0.",
            "example": 854550
          },
          "infant": {
            "type": "integer",
            "format": "int64",
            "description": "Infant price amount in IDR, amount >= 0.",
            "example": 854550
          }
        },
        "required": [
          "adult",
          "child",
          "infant"
        ]
      },
      "Location": {
        "type": "object",
        "description": "Location details.",
        "properties": {
          "code": {
            "type": "string",
            "maxLength": 5,
            "description": "Can follow standard IATA airport code for flight, or station code for train.",
            "example": "CGK"
          },
          "type": {
            "type": "string",
            "enum": [
              "AIRPORT",
              "PORT",
              "STATION",
              "TERMINAL",
              "AGENT",
              "SHELTER"
            ],
            "description": "Indicating the location type options.",
            "example": "AIRPORT"
          },
          "name": {
            "type": "string",
            "maxLength": 140,
            "description": "Name of the location.",
            "example": "Soekarno-Hatta International"
          }
        },
        "required": [
          "code",
          "type",
          "name"
        ]
      },
      "Property": {
        "type": "object",
        "description": "The details of property.\n**Required for** Accommodation Insurance and Property Insurance products\n",
        "properties": {
          "name": {
            "type": "string",
            "maxLength": 140,
            "description": "Name of the property.",
            "example": "Hotel Indonesia Kempinski Jakarta"
          },
          "type": {
            "type": "string",
            "maxLength": 30,
            "description": "Property type, options:\n- hotel\n- apartment\n- motel\n- bed and breakfast\n- house\n- townhouse\n- condominium\n- other (please specify)\n",
            "example": "hotel"
          },
          "locationName": {
            "type": "string",
            "maxLength": 140,
            "description": "Name of the location.",
            "example": "Hotel Indonesia Kempinski Jakarta"
          },
          "address": {
            "type": "string",
            "maxLength": 1000,
            "description": "Property’s street address.",
            "example": "Jalan MH Thamrin No. 1"
          },
          "province": {
            "type": "string",
            "maxLength": 140,
            "description": "Property’s province (provinsi).\n**Required for** Property Insurance products.\n",
            "example": "Jalan MH Thamrin No. 1"
          },
          "city": {
            "type": "string",
            "maxLength": 140,
            "description": "Property’s city (kota).",
            "example": "DKI Jakarta"
          },
          "district": {
            "type": "string",
            "maxLength": 140,
            "description": "Property’s district (kecamatan).\n**Required for** Property Insurance products.\n",
            "example": "Jakarta Pusat"
          },
          "village": {
            "type": "string",
            "maxLength": 140,
            "description": "Property’s village/subdistrict (kelurahan).\n**Required for** Property Insurance products.\n",
            "example": "Menteng"
          },
          "postalCode": {
            "type": "string",
            "maxLength": 10,
            "description": "Property’s postal code.",
            "example": "10310"
          },
          "country": {
            "type": "string",
            "maxLength": 2,
            "description": "Country where the property is located. ISO Country code e.g. ID, SG.",
            "example": "ID"
          },
          "totalRooms": {
            "type": "integer",
            "format": "int64",
            "description": "Total number of room(s). Required for rented property. The minimum value for this property is 1.",
            "example": 500
          },
          "guestCapacity": {
            "type": "integer",
            "format": "int64",
            "description": "Total maximum guest capacity of the property. Required for rented property. The minimum value for this property is 1.",
            "example": 1000
          },
          "star": {
            "type": "number",
            "description": "Property’s star, ranging from 0-5.",
            "example": 5
          },
          "rating": {
            "type": "number",
            "description": "Property’s rating from partner.",
            "example": 4.7
          }
        },
        "required": [
          "name",
          "type",
          "address",
          "city",
          "postalCode",
          "country"
        ]
      },
      "Rent": {
        "type": "object",
        "description": "The rent details.",
        "properties": {
          "id": {
            "type": "string",
            "maxLength": 100,
            "description": "Unique identifier associated with the tenancy. Partners need to provide an identifier for the room to be used as reference when doing an update request to identify which room data will be updated. \n**Required for** Accommodation Insurance products.\n",
            "example": "X7356201"
          },
          "type": {
            "type": "string",
            "maxLength": 140,
            "description": "Room type e.g. Junior suite twin bed, Deluxe double bed with garden view, Two bedroom apartment.\n**Required for** Accommodation Insurance products.\n",
            "example": "Deluxe Double"
          },
          "capacity": {
            "type": "integer",
            "format": "int64",
            "description": "Maximum person capacity of the room.\n**Required for** Accommodation Insurance products.\n",
            "example": 2
          },
          "price": {
            "type": "number",
            "description": "Rental price in IDR, excluding add-on fee and tax.",
            "example": 5000000
          },
          "addOnFee": {
            "type": "number",
            "description": "Total add-on fee, e.g. smoke free room, early, check-in, late checkout, etc.",
            "example": 100000
          },
          "tax": {
            "type": "number",
            "description": "Tax for rent price and add on fee.",
            "example": 500000
          },
          "bookTime": {
            "type": "string",
            "maxLength": 30,
            "format": "date-time",
            "description": "The timestamp for booking time. ISO Timestamp with time offset, e.g.: “2021-03-10T11:00:01.000+07:00”. The value must be before or equal to the time when the request is hit.\n**Required for** Property Insurance products.\n",
            "example": "2021-05-05T04:33:35.233+00:00"
          },
          "startTime": {
            "type": "string",
            "maxLength": 30,
            "format": "date-time",
            "description": "Date time indicating the tenancy started (ISO 8601 format with timezone).\n*For Accommodation Insurance products, startTime for each rent object must be same.*\n",
            "example": "2021-05-10T14:00:00.000+07:00"
          },
          "endTime": {
            "type": "string",
            "maxLength": 30,
            "format": "date-time",
            "description": "Date time indicating the tenancy ended (ISO 8601 format with timezone). The value must be after or equal to the rentStart value.\n*For Accommodation Insurance products, endTime for each rent object must be same.*\n",
            "example": "2021-05-11T12:00:00.000+07:00"
          },
          "totalGuests": {
            "type": "integer",
            "format": "int64",
            "description": "Total number of tenant/guest(s), required for non-hotel accommodation property or rent property.",
            "example": 1
          },
          "guests": {
            "type": "array",
            "description": "Guest/tenant(s) information.",
            "maxLength": 35,
            "items": {
              "$ref": "#/components/schemas/Guest"
            }
          },
          "isRefundable": {
            "type": "boolean",
            "description": "Indicator that property rental paid by tenant is refundable, this will affect loss compensation to be covered.\n**Required for** Property Insurance products.\n",
            "example": true
          },
          "refundableAmount": {
            "type": "number",
            "description": "Amount in IDR that can be refunded by landlord to tenant. The amount can not exceed rentPrice. If isRentRefundable flag is true, default to same value as rentPrice.\n**Required for** Property Insurance products.\n",
            "example": 100000
          },
          "addOns": {
            "type": "array",
            "description": "Add-on included in the booking.",
            "items": {
              "$ref": "#/components/schemas/AddOn"
            }
          }
        },
        "required": [
          "price",
          "totalGuests",
          "guests"
        ]
      },
      "Guest": {
        "type": "object",
        "description": "The details of guest.",
        "properties": {
          "name": {
            "type": "string",
            "maxLength": 100,
            "description": "Full name of the tenant.",
            "example": "Cermat Indra Kusuma"
          },
          "title": {
            "type": "string",
            "enum": [
              "MR",
              "MRS",
              "MS",
              "MISS",
              "MSTR"
            ],
            "description": "Title of the tenant.",
            "example": "MR"
          },
          "email": {
            "type": "string",
            "maxLength": 100,
            "description": "Email address of the tenant.",
            "example": "kusuma.indra@cermatiprotect.com"
          },
          "phoneNo": {
            "type": "string",
            "maxLength": 20,
            "description": "Phone Number of the tenant, format +[countryCode][phoneNo] e.g. +62817654321.",
            "example": "+628888123123"
          }
        },
        "required": [
          "name"
        ]
      },
      "Party": {
        "type": "object",
        "description": "The details of a party.",
        "properties": {
          "name": {
            "type": "string",
            "maxLength": 100,
            "description": "Full name of the person.",
            "example": "Cermat Indra Kusuma"
          },
          "title": {
            "type": "string",
            "enum": [
              "MR",
              "MRS",
              "MS",
              "MISS",
              "MSTR"
            ],
            "description": "Salutation.",
            "example": "MR"
          },
          "occupation": {
            "type": "string",
            "maxLength": 100,
            "description": "Occupation of the person.",
            "example": "Private Sector"
          },
          "category": {
            "type": "string",
            "enum": [
              "ADULT",
              "CHILD",
              "INFANT"
            ],
            "description": "Person category options are: ADULT (age 12+ years), CHILD (age 2-12 years), INFANT (age 0-2 years).\n**Required for** Transportation Insurance products party(ies) with type PASSENGER.\n",
            "example": "ADULT"
          },
          "email": {
            "type": "string",
            "maxLength": 100,
            "description": "Email address of the person.\n**Required for**:\n- Accommodation Insurance products party(ies) with type CONTACT\n- Credit Insurance products party(ies) with type CREDITOR\n- Credit Insurance products party(ies) with type DEBTOR\n- Goods Insurance products party(ies) with type CUSTOMER\n- Goods Insurance products party(ies) with type SELLER\n- Personal Insurance products party(ies) with type INSURED\n- Property Insurance products party(ies) with type OWNER\n- Shipping Insurance products party(ies) with type ORIGIN\n- Shipping Insurance products party(ies) with type DESTINATION\n- Transportation Insurance products party(ies) with type CONTACT\n- Transportation Insurance products party(ies) with type PASSENGER\n",
            "example": "kusuma.indra@cermatiprotect.com"
          },
          "phoneNo": {
            "type": "string",
            "maxLength": 20,
            "description": "Phone Number of the person, format +[countryCode][phoneNo] e.g. +62817654321.\n**Required for**:\n- Accommodation Insurance products party(ies) with type CONTACT\n- Credit Insurance products party(ies) with type CREDITOR\n- Credit Insurance products party(ies) with type DEBTOR\n- Goods Insurance products party(ies) with type CUSTOMER\n- Goods Insurance products party(ies) with type SELLER\n- Personal Insurance products party(ies) with type INSURED\n- Property Insurance products party(ies) with type OWNER\n- Shipping Insurance products party(ies) with type ORIGIN\n- Shipping Insurance products party(ies) with type DESTINATION\n- Transportation Insurance products party(ies) with type CONTACT\n- Transportation Insurance products party(ies) with type PASSENGER\n",
            "example": "+628888123123"
          },
          "placeOfBirth": {
            "type": "string",
            "maxLength": 100,
            "description": "Birthplace of the person.\n**Required for** Personal Insurance products party(ies) with type INSURED.\n",
            "example": "Jakarta"
          },
          "dateOfBirth": {
            "type": "string",
            "format": "date",
            "description": "Birth date of the person. Format: ”YYYY-MM-DD”. The value must be before or equal to the date when the request is hit.\n**Required for**:\n- Personal Insurance products party(ies) with type INSURED\n- Transportation Insurance products party(ies) with type PASSENGER\n",
            "example": "1970-01-01"
          },
          "identityNumber": {
            "type": "string",
            "maxLength": 16,
            "description": "Person’s identity number.\n**Required for**:\n- Credit Insurance products party(ies) with type CREDITOR\n- Credit Insurance products party(ies) with type DEBTOR\n- Personal Insurance products party(ies) with type INSURED\n- Property Insurance products party(ies) with type OWNER\n- Transportation Insurance products party(ies) with type PASSENGER\n",
            "example": "3171010101700001"
          },
          "identityType": {
            "type": "string",
            "maxLength": 20,
            "enum": [
              "KTP",
              "SIM",
              "PASSPORT"
            ],
            "description": "Person identity type. If empty default to KTP\n**Required for**:\n- Credit Insurance products party(ies) with type CREDITOR\n- Credit Insurance products party(ies) with type DEBTOR\n- Personal Insurance products party(ies) with type INSURED\n",
            "example": "KTP"
          },
          "identityCountry": {
            "type": "string",
            "maxLength": 2,
            "description": "Country that issued identity, 2 letter country ISO code.",
            "example": "ID"
          },
          "nationality": {
            "type": "string",
            "maxLength": 2,
            "description": "Country nationality of the passenger, 2 letter country ISO code.",
            "example": "ID"
          },
          "address": {
            "type": "string",
            "maxLength": 1000,
            "description": "Person's street address.\n**Required for**:\n- Credit Insurance products party(ies) with type CREDITOR\n- Credit Insurance products party(ies) with type DEBTOR\n- Goods Insurance products party(ies) with type CUSTOMER\n- Goods Insurance products party(ies) with type SELLER\n- Personal Insurance products party(ies) with type INSURED\n- Property Insurance products party(ies) with type OWNER\n- Shipping Insurance products party(ies) with type ORIGIN\n- Shipping Insurance products party(ies) with type DESTINATION\n",
            "example": "Jl. Tomang Raya No. 38"
          },
          "province": {
            "type": "string",
            "maxLength": 140,
            "description": "Person’s province (provinsi).",
            "example": "DKI Jakarta"
          },
          "city": {
            "type": "string",
            "maxLength": 140,
            "description": "Person’s city (kota).",
            "example": "Jakarta Barat"
          },
          "district": {
            "type": "string",
            "maxLength": 140,
            "description": "Person’s district (kecamatan).",
            "example": "Palmerah"
          },
          "village": {
            "type": "string",
            "maxLength": 140,
            "description": "Person’s village/subdistrict (kelurahan).",
            "example": "Jatipulo"
          },
          "postalCode": {
            "type": "string",
            "maxLength": 10,
            "description": "Person's postal code.\n**Required for**:\n- Credit Insurance products party(ies) with type CREDITOR\n- Credit Insurance products party(ies) with type DEBTOR\n- Goods Insurance products party(ies) with type CUSTOMER\n- Goods Insurance products party(ies) with type SELLER\n- Personal Insurance products party(ies) with type INSURED\n- Property Insurance products party(ies) with type OWNER\n- Shipping Insurance products party(ies) with type ORIGIN\n- Shipping Insurance products party(ies) with type DESTINATION\n",
            "example": "11430"
          },
          "country": {
            "type": "string",
            "maxLength": 2,
            "description": "Person country code. ISO Country code e.g. ID, SG.\n**Required for** Property Insurance products party(ies) with type BENEFICIARY.\n",
            "example": "ID"
          },
          "relationshipWithInsured": {
            "type": "string",
            "maxLength": 100,
            "description": "Relationship with insured person. Options:\n- Father\n- Mother\n- Son\n- Daughter\n- In law\n- Partner\n- Spouse\n- Legal Heirs\n- Other (please specify)\n**Required for** Property Insurance products party(ies) with type BENEFICIARY.\n",
            "example": "Father"
          },
          "tags": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "Platinum Member"
            },
            "description": "Person’s tag e.g. silver, premium, gold, premium, priority, handicapped, etc."
          },
          "types": {
            "type": "array",
            "description": "Person's roles in this transaction.",
            "items": {
              "type": "string",
              "enum": [
                "BENEFICIARY",
                "BUYER",
                "CONTACT",
                "CREDITOR",
                "CUSTOMER",
                "DEBTOR",
                "DESTINATION",
                "INSURED",
                "ORIGIN",
                "OWNER",
                "PASSENGER",
                "RENTER",
                "SELLER"
              ],
              "example": "ORIGIN"
            }
          }
        },
        "required": [
          "name",
          "types"
        ]
      },
      "AddOn": {
        "type": "object",
        "description": "Add-on purchased along with the trip ticket.",
        "properties": {
          "id": {
            "type": "string",
            "maxLength": 100,
            "description": "Unique identifier associated with add-on.",
            "example": "8388682a-0627-11ec-9a03-0242ac130003"
          },
          "name": {
            "type": "string",
            "maxLength": 140,
            "description": "Name of the add-on.",
            "example": "Meal"
          },
          "price": {
            "type": "integer",
            "format": "int64",
            "description": "Price of the add-on in IDR.",
            "example": 75000
          }
        },
        "required": [
          "id",
          "name",
          "price"
        ]
      },
      "DocumentLink": {
        "type": "object",
        "properties": {
          "title": {
            "type": "string",
            "description": "Title of the link.",
            "maxLength": 200
          },
          "url": {
            "type": "string",
            "description": "Link to documents.",
            "maxLength": 1000
          }
        }
      },
      "OverrideNotificationUrl": {
        "type": "object",
        "description": "Override Notification URL.",
        "properties": {
          "applicationEvent": {
            "type": "string",
            "description": "Enter override URL for Application Event notifications.",
            "example": "URL"
          },
          "claimEvent": {
            "type": "string",
            "description": "Enter override URL for Claim Event notifications.",
            "example": "URL"
          },
          "flightDelay": {
            "type": "string",
            "description": "Enter override URL for Flight Delay notifications.",
            "example": "URL"
          }
        }
      }
    },
    "examples": {
      "ApplicationOperationResponse": {
        "value": {
          "refNo": "IN2331211",
          "trxId": "insurance-IN2331211",
          "status": "DATA_COMPLETE",
          "documents": [],
          "documentLinks": [],
          "createdAt": "2022-06-30T16:19:47.189+07:00",
          "updatedAt": "2022-06-30T16:19:47.189+07:00",
          "expiredAt": null,
          "cancelledAt": null
        }
      },
      "CreateAccommodationInsuranceApplicationRequest": {
        "value": {
          "productId": "accommodation-insurance-1",
          "refNo": "IN2331211",
          "orderId": "K14LB781608982",
          "premium": 15000,
          "adminFee": 1500,
          "purchasedAt": "2022-06-30T16:17:38.729+07:00",
          "totalPrice": 4425333,
          "totalDiscount": 1068833,
          "property": {
            "name": "Hotel Indonesia Kempinski Jakarta",
            "type": "hotel",
            "locationName": "Hotel Indonesia Kempinski Jakarta",
            "address": "Jalan MH Thamrin No. 1",
            "province": "DKI Jakarta",
            "city": "Jakarta Pusat",
            "district": "Menteng",
            "village": "Menteng",
            "postalCode": "10310",
            "country": "ID",
            "star": 5,
            "rating": 4.7
          },
          "rents": [
            {
              "id": "X7356201",
              "type": "Deluxe King",
              "capacity": 2,
              "price": 2650000,
              "addOnFee": 291500,
              "tax": 265000,
              "bookTime": "2022-06-30T16:17:38.729+07:00",
              "startTime": "2022-07-02T14:00:00.000+07:00",
              "endTime": "2022-07-03T12:00:00.000+07:00",
              "totalGuests": 1,
              "guests": [
                {
                  "name": "Cermat Indra Kusuma",
                  "title": "MR",
                  "email": "kusuma.indra@cermatiprotect.com",
                  "phoneNo": "+628888123123"
                }
              ],
              "addOns": [
                {
                  "id": "8388682a-0627-11ec-9a03-0242ac130003",
                  "name": "Extra Bed",
                  "price": 150000
                }
              ]
            }
          ],
          "parties": [
            {
              "name": "Cermat Indra Kusuma",
              "title": "MR",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "tags": [
                "Platinum Member"
              ],
              "types": [
                "CONTACT",
                "RENTER"
              ]
            }
          ],
          "coverageStart": "2022-07-02T14:00:00.000+07:00",
          "coverageEnd": "2021-07-03T12:00:00.000+07:00",
          "overrideNotificationUrl": {
            "applicationEvent": "https://link.to.application.event.webhook",
            "claimEvent": "https://link.to.claim.event.webhook"
          }
        }
      },
      "CreateCreditInsuranceApplicationRequest": {
        "value": {
          "productId": "credit-insurance-1",
          "refNo": "IN2331211",
          "orderId": "K14LB781608982",
          "premium": 15000,
          "adminFee": 1500,
          "purchasedAt": "2022-06-30T16:17:38.729+07:00",
          "loan": {
            "loanDate": "2022-06-30",
            "dueDate": "2022-12-30",
            "tenure": 6,
            "tenureUnit": "MONTHLY",
            "loanAmount": 6000000
          },
          "parties": [
            {
              "name": "Cermat Indra Kusuma",
              "title": "MR",
              "occupation": "Private Sector",
              "category": "ADULT",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "identityNumber": "3171010101700001",
              "identityType": "KTP",
              "identityCountry": "ID",
              "nationality": "ID",
              "address": "Jl. Tomang Raya No. 38",
              "province": "DKI Jakarta",
              "city": "Jakarta Barat",
              "district": "Palmerah",
              "village": "Jatipulo",
              "postalCode": "11430",
              "country": "ID",
              "types": [
                "CREDITOR"
              ]
            },
            {
              "name": "Cermata Indra Kusuma",
              "title": "MRS",
              "occupation": "Private Sector",
              "category": "ADULT",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "identityNumber": "3171010101700002",
              "identityType": "KTP",
              "identityCountry": "ID",
              "nationality": "ID",
              "address": "Jl. Tomang Raya No. 38",
              "province": "DKI Jakarta",
              "city": "Jakarta Barat",
              "district": "Palmerah",
              "village": "Jatipulo",
              "postalCode": "11430",
              "country": "ID",
              "types": [
                "DEBTOR"
              ]
            }
          ],
          "coverageStart": "2022-06-30T00:00:00.000+07:00",
          "coverageEnd": "2022-12-30T23:59:59.999+07:00",
          "overrideNotificationUrl": {
            "applicationEvent": "https://link.to.application.event.webhook",
            "claimEvent": "https://link.to.claim.event.webhook"
          }
        }
      },
      "CreateGoodsInsuranceApplicationRequest": {
        "value": {
          "productId": "goods-insurance-1",
          "refNo": "IN2331211",
          "orderId": "K14LB781608982",
          "premium": 15000,
          "adminFee": 1500,
          "purchasedAt": "2022-06-30T16:17:38.729+07:00",
          "items": [
            {
              "skuId": "Pho/Sam/A72/256-8",
              "name": "Samsung A72 256/8",
              "brand": "Samsung",
              "category": "Smartphone",
              "pricePerUnit": 6499000,
              "discountPerUnit": 100000,
              "feePerUnit": 1000,
              "weight": 1,
              "quantity": 1,
              "activationRequired": false,
              "identities": [
                {
                  "idType": "IMEI",
                  "idNumber": 507406906851065
                }
              ]
            }
          ],
          "shipment": {
            "shippingId": "CGK012455485646",
            "courierName": "Courier",
            "serviceType": "Express",
            "shippingFee": 9000,
            "otherFee": 1000,
            "deliveredAt": "2022-07-03T12:00:00.000+07:00",
            "shippedAt": "2022-07-02T14:00:00.000+07:00"
          },
          "parties": [
            {
              "name": "Cermat Indra Kusuma",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "address": "Jl. Tomang Raya No. 38",
              "province": "DKI Jakarta",
              "city": "Jakarta Barat",
              "district": "Palmerah",
              "village": "Jatipulo",
              "postalCode": "11430",
              "country": "ID",
              "types": [
                "SELLER"
              ]
            },
            {
              "name": "Cermata Indra Kusuma",
              "email": "kusuma.indra@cermatiprotect.com",
              "address": "Jl. Tomang Raya No. 38",
              "province": "DKI Jakarta",
              "city": "Jakarta Barat",
              "district": "Palmerah",
              "village": "Jatipulo",
              "postalCode": "11430",
              "country": "ID",
              "types": [
                "CUSTOMER"
              ]
            }
          ],
          "coverageStart": "2022-06-30T16:17:38.729+07:00",
          "coverageEnd": "2023-06-30T16:17:38.729+07:00",
          "overrideNotificationUrl": {
            "applicationEvent": "https://link.to.application.event.webhook",
            "claimEvent": "https://link.to.claim.event.webhook"
          }
        }
      },
      "CreatePersonalInsuranceApplicationRequest": {
        "value": {
          "productId": "personal-insurance-1",
          "refNo": "IN2331211",
          "orderId": "K14LB781608982",
          "premium": 15000,
          "adminFee": 1500,
          "purchasedAt": "2022-06-30T16:17:38.729+07:00",
          "parties": [
            {
              "name": "Cermat Indra Kusuma",
              "title": "MR",
              "occupation": "Private Sector",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "placeOfBirth": "Jakarta",
              "dateOfBirth": "1970-01-01T00:00:00.000Z",
              "identityNumber": "3171010101700001",
              "identityType": "KTP",
              "identityCountry": "ID",
              "nationality": "ID",
              "address": "Jl. Tomang Raya No. 38",
              "province": "DKI Jakarta",
              "city": "Jakarta Barat",
              "district": "Palmerah",
              "village": "Jatipulo",
              "postalCode": "11430",
              "country": "ID",
              "types": [
                "INSURED"
              ]
            },
            {
              "name": "Cermata Indra Kusuma",
              "title": "MRS",
              "occupation": "Private Sector",
              "category": "ADULT",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "placeOfBirth": "Jakarta",
              "dateOfBirth": "1970-01-01T00:00:00.000Z",
              "identityNumber": "3171010101700001",
              "identityType": "KTP",
              "identityCountry": "ID",
              "nationality": "ID",
              "address": "Jl. Tomang Raya No. 38",
              "province": "DKI Jakarta",
              "city": "Jakarta Barat",
              "district": "Palmerah",
              "village": "Jatipulo",
              "postalCode": "11430",
              "country": "ID",
              "relationshipWithInsured": "Spouse",
              "types": [
                "BENEFICIARY"
              ]
            }
          ],
          "coverageStart": "2022-06-30T16:17:38.729+07:00",
          "coverageEnd": "2022-07-30T16:17:38.729+07:00",
          "overrideNotificationUrl": {
            "applicationEvent": "https://link.to.application.event.webhook",
            "claimEvent": "https://link.to.claim.event.webhook"
          }
        }
      },
      "CreatePropertyInsuranceApplicationRequest": {
        "value": {
          "productId": "property-insurance-1",
          "refNo": "IN2331211",
          "orderId": "K14LB781608982",
          "premium": 15000,
          "adminFee": 1500,
          "purchasedAt": "2022-06-30T16:17:38.729+07:00",
          "property": {
            "name": "The Patra Bali Resort & Villas",
            "type": "villa",
            "locationName": "The Patra Bali Resort & Villas",
            "address": "Jalan Ir. H. Juanda",
            "province": "Bali",
            "city": "Badung",
            "district": "Kuta",
            "village": "Tuban",
            "postalCode": "80361",
            "country": "ID",
            "totalRooms": 1,
            "guestCapacity": 6,
            "star": 4,
            "rating": 4.4
          },
          "rents": [
            {
              "id": "X7356201",
              "type": "Villa - Private Room",
              "capacity": 6,
              "price": 2652893,
              "addOnFee": 291818,
              "tax": 265289,
              "bookTime": "2022-06-30T16:17:38.729+07:00",
              "startTime": "2022-07-02T14:00:00.000+07:00",
              "endTime": "2022-07-03T12:00:00.000+07:00",
              "totalGuests": 2,
              "guests": [
                {
                  "name": "Cermat Indra Kusuma",
                  "title": "MR",
                  "email": "kusuma.indra@cermatiprotect.com",
                  "phoneNo": "+628888123123"
                },
                {
                  "name": "Cermata Indra Kusuma",
                  "title": "MRS",
                  "email": "kusuma.indra@cermatiprotect.com",
                  "phoneNo": "+628888123123"
                }
              ],
              "isRefundable": true,
              "refundableAmount": 1500000,
              "addOns": [
                {
                  "id": "8388682a-0627-11ec-9a03-0242ac130003",
                  "name": "Extra Bed",
                  "price": 150000
                }
              ]
            }
          ],
          "parties": [
            {
              "name": "Cermat Indra Kusuma",
              "title": "MR",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "placeOfBirth": "Jakarta",
              "dateOfBirth": "1970-01-01T00:00:00.000Z",
              "tags": [
                "Platinum Member"
              ],
              "types": [
                "RENTER"
              ]
            },
            {
              "name": "Cermato Indra Kusuma",
              "title": "MR",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "placeOfBirth": "Jakarta",
              "dateOfBirth": "1970-01-01T00:00:00.000Z",
              "identityNumber": "3171010101700001",
              "identityType": "KTP",
              "identityCountry": "ID",
              "nationality": "ID",
              "address": "Jl. Tomang Raya No. 38",
              "province": "DKI Jakarta",
              "city": "Jakarta Barat",
              "district": "Palmerah",
              "village": "Jatipulo",
              "postalCode": "11430",
              "country": "ID",
              "relationshipWithInsured": "Father",
              "tags": [
                "Star Owner"
              ],
              "types": [
                "OWNER"
              ]
            }
          ],
          "coverageStart": "2022-07-02T14:00:00.000+07:00",
          "coverageEnd": "2022-07-03T12:00:00.000+07:00",
          "overrideNotificationUrl": {
            "applicationEvent": "https://link.to.application.event.webhook",
            "claimEvent": "https://link.to.claim.event.webhook"
          }
        }
      },
      "CreateShippingInsuranceApplicationRequest": {
        "value": {
          "productId": "shipping-insurance-1",
          "refNo": "IN2331211",
          "orderId": "K14LB781608982",
          "premium": 15000,
          "adminFee": 1500,
          "purchasedAt": "2022-06-30T16:17:38.729+07:00",
          "items": [
            {
              "skuId": "Pho/Sam/A72/256-8",
              "name": "Samsung A72 256/8",
              "brand": "Samsung",
              "category": "Smartphone",
              "pricePerUnit": 6499000,
              "discountPerUnit": 100000,
              "feePerUnit": 1000,
              "weight": 1,
              "quantity": 1
            }
          ],
          "shipment": {
            "shippingId": "CGK012455485646",
            "courierName": "Courier",
            "serviceType": "Express",
            "shippingFee": 9000,
            "otherFee": 1000,
            "deliveredAt": "2022-07-03T12:00:00.000+07:00",
            "shippedAt": "2022-07-02T14:00:00.000+07:00"
          },
          "parties": [
            {
              "name": "Cermat Indra Kusuma",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "address": "Jl. Tomang Raya No. 38",
              "province": "DKI Jakarta",
              "city": "Jakarta Barat",
              "district": "Palmerah",
              "village": "Jatipulo",
              "postalCode": "11430",
              "country": "ID",
              "types": [
                "ORIGIN"
              ]
            },
            {
              "name": "Cermata Indra Kusuma",
              "email": "kusuma.indra@cermatiprotect.com",
              "address": "Jl. Tomang Raya No. 38",
              "province": "DKI Jakarta",
              "city": "Jakarta Barat",
              "district": "Palmerah",
              "village": "Jatipulo",
              "postalCode": "11430",
              "country": "ID",
              "types": [
                "DESTINATION"
              ]
            }
          ],
          "coverageStart": "2022-07-02T14:00:00.000+07:00",
          "coverageEnd": "2022-07-03T12:00:00.000+07:00",
          "overrideNotificationUrl": {
            "applicationEvent": "https://link.to.application.event.webhook",
            "claimEvent": "https://link.to.claim.event.webhook"
          }
        }
      },
      "CreateTransportationInsuranceApplicationRequest": {
        "value": {
          "productId": "transportation-insurance-1",
          "refNo": "IN2331211",
          "orderId": "K14LB781608982",
          "premium": 15000,
          "adminFee": 1500,
          "purchasedAt": "2022-06-30T16:17:38.729+07:00",
          "totalPrice": 16621038,
          "totalDiscount": 0,
          "transportationTrip": {
            "tripType": "Round trip",
            "origin": {
              "code": "CGK",
              "type": "AIRPORT",
              "name": "Soekarno-Hatta International"
            },
            "destination": {
              "code": "AMQ",
              "type": "AIRPORT",
              "name": "Pattimura International"
            },
            "trips": [
              {
                "tripId": "X035671",
                "tripType": "FLIGHT",
                "tripLegs": [
                  {
                    "tripNo": "ID6182",
                    "tripName": "Batik Air ID6182",
                    "class": "Economy",
                    "subclass": "M",
                    "origin": {
                      "code": "CGK",
                      "type": "AIRPORT",
                      "name": "Soekarno-Hatta International"
                    },
                    "destination": {
                      "code": "UPG",
                      "type": "AIRPORT",
                      "name": "Sultan Hasanuddin International"
                    },
                    "departureTime": "2022-07-02T02:30:00.000+07:00",
                    "arrivalTime": "2022-07-02T06:00:00.000+08:00"
                  },
                  {
                    "tripNo": "JT880",
                    "tripName": "Lion Air JT880",
                    "class": "Economy",
                    "subclass": "N",
                    "origin": {
                      "code": "UPG",
                      "type": "AIRPORT",
                      "name": "Sultan Hasanuddin International"
                    },
                    "destination": {
                      "code": "AMQ",
                      "type": "AIRPORT",
                      "name": "Pattimura International"
                    },
                    "departureTime": "2022-07-02T06:30:00.000+08:00",
                    "arrivalTime": "2022-07-02T09:20:00.000+09:00"
                  }
                ],
                "ticketPrice": {
                  "adult": 2825400,
                  "child": 2825400,
                  "infant": 282540
                },
                "ticketRefundableAmount": {
                  "adult": 2119050,
                  "child": 2119050,
                  "infant": 211905
                },
                "addOns": [
                  {
                    "id": "8388682a-0627-11ec-9a03-0242ac130003",
                    "name": "Meal",
                    "price": 200000
                  }
                ]
              },
              {
                "tripId": "X035672",
                "tripType": "FLIGHT",
                "tripLegs": [
                  {
                    "tripNo": "QG211",
                    "tripName": "Citilink QG211",
                    "class": "Economy",
                    "subclass": "O",
                    "origin": {
                      "code": "AMQ",
                      "type": "AIRPORT",
                      "name": "Pattimura International"
                    },
                    "destination": {
                      "code": "CGK",
                      "type": "AIRPORT",
                      "name": "Soekarno-Hatta International"
                    },
                    "departureTime": "2022-07-03T07:30:00.000+09:00",
                    "arrivalTime": "2022-07-03T08:45:00.000+07:00"
                  }
                ],
                "ticketPrice": {
                  "adult": 2798274,
                  "child": 1646250,
                  "infant": 219500
                },
                "ticketRefundableAmount": {
                  "adult": 2098705,
                  "child": 1234687,
                  "infant": 164625
                },
                "addOns": [
                  {
                    "id": "8388682a-0627-11ec-9a03-0242ac130004",
                    "name": "Meal",
                    "price": 200000
                  }
                ]
              }
            ]
          },
          "parties": [
            {
              "name": "Cermat Indra Kusuma",
              "title": "MR",
              "category": "ADULT",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "dateOfBirth": "1970-01-01T00:00:00.000Z",
              "identityNumber": "3171010101700001",
              "identityType": "KTP",
              "identityCountry": "ID",
              "nationality": "ID",
              "tags": [
                "Platinum User"
              ],
              "types": [
                "CONTACT",
                "PASSENGER"
              ]
            },
            {
              "name": "Cermata Indra Kusuma",
              "title": "MRS",
              "category": "ADULT",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "dateOfBirth": "1971-01-01T00:00:00.000Z",
              "identityNumber": "3171014101710001",
              "identityType": "KTP",
              "identityCountry": "ID",
              "nationality": "ID",
              "types": [
                "PASSENGER"
              ]
            },
            {
              "name": "Cermati Protect Child",
              "title": "MISS",
              "category": "CHILD",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "dateOfBirth": "2015-05-01T00:00:00.000Z",
              "identityNumber": "3171014105150001",
              "identityType": "KTP",
              "identityCountry": "ID",
              "nationality": "ID",
              "types": [
                "PASSENGER"
              ]
            },
            {
              "name": "Cermati Protect Infant",
              "title": "MSTR",
              "category": "INFANT",
              "email": "kusuma.indra@cermatiprotect.com",
              "phoneNo": "+628888123123",
              "dateOfBirth": "2022-01-01T00:00:00.000Z",
              "identityNumber": "3171010101220001",
              "identityType": "KTP",
              "identityCountry": "ID",
              "nationality": "ID",
              "types": [
                "PASSENGER"
              ]
            }
          ],
          "coverageStart": "2022-07-02T02:30:00.000+07:00",
          "coverageEnd": "2022-07-03T08:45:00.000+07:00",
          "overrideNotificationUrl": {
            "applicationEvent": "https://link.to.application.event.webhook",
            "claimEvent": "https://link.to.claim.event.webhook",
            "flightDelay": "https://link.to.flight.delay.webhook"
          }
        }
      },
      "ProductIdNotValidResponse": {
        "value": {
          "error": "productId is not valid"
        }
      },
      "RefNoExistsResponse": {
        "value": {
          "error": "refNo already exists",
          "trxId": "insurance-IN2331211"
        }
      },
      "RefNoLockedResponse": {
        "value": {
          "error": "refNo is locked by another request"
        }
      },
      "ReqBodyValidationErrorResponse": {
        "value": {
          "error": {
            "orderId": {
              "string": "Order Id is not a string."
            },
            "purchasedAt": {
              "dateFormat:$1": "Purchased At must be in format YYYY-MM-DDTHH:mm:ss.SSSZ."
            }
          }
        }
      },
      "InternalServerErrorResponse": {
        "value": {
          "error": "Internal Server Error"
        }
      }
    }
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true,
    "samples-enabled": true
  }
}
```